Problem z instalacją nodemon/express


(laik07) #1

Witam chciałem się nauczyć programowania w Node.js.

Próba zainstalowania pakietu nodemon zakończyła się tak: http://fotowrzut.pl/EEDDR9I490
Próba zainstalowania frameworka express tak: http://fotowrzut.pl/MVFTNG890A
Ogólnie jestem zielony ale na pewno niczego nie pomieszałem przy wpisywaniu komend; jest jakiś błąd instalacji ale nie wiem jak go naprawić z góry dziękuje jeśli ktoś zna odpowiedź. Tylko łopatologicznie proszę. Nie wiem czy to ważne mam Windows 10 64 bit więc chyba standard. Korzystałem z programu Cmdr. Node.js też zainstalowany i działa…


(Domker) #2

Ja tam widzę same “warning” - ostrzeżenia i to głównie związane z platformą.
Masz jak byk wyszczególnione:
OCZEKIWANE : os - darwin, architektura: każda (i368 i x64 bit)
OBACNIE: os - win32, architektura: 64 bitowa

Po prostu funkcje “fsevents” dla systemu plików nie będą działać na obecnym systemie. Ale to zależność opcjonalna, więc kij z tym.

Tak dla informacji Darwin to -> https://en.wikipedia.org/wiki/Darwin_(operating_system)


(laik07) #3

No to co mogę zrobić żeby zainstalować biblioteki express,js chociaż? Ja nie rozumiem skąd te wymagania u mnie, skoro wszystkim ludziom to hula na Windowsie. I przypominam że nic się nie zainstalowało. Podobno u innych często występują jakieś ostrzeżenia ale jednak jest pobierane i działa.


(Domker) #4

Dziwne, że się nie zainstalowało.
Może źle to instalowałeś. Ja próbowałem według tego:
https://expressjs.com/en/starter/installing.html tyle, że pod Linux to bez problemu poszło.


(laik07) #5

Nadal to samo ;_;